i2d_CMS_bio_stream(3) | OpenSSL | i2d_CMS_bio_stream(3)

# NAME

     i2d_CMS_bio_stream - output CMS_ContentInfo structure in BER format.

# LIBRARY

libcrypto, -lcrypto

# SYNOPSIS

     #include <openssl/cms.h>
     int i2d_CMS_bio_stream(BIO *out, CMS_ContentInfo *cms, BIO *data, int flags);

# DESCRIPTION

i2d_CMS_bio_stream() outputs a CMS_ContentInfo structure in BER format.
It is otherwise identical to the function SMIME_write_CMS().

# NOTES

This function is effectively a version of the i2d_CMS_bio() supporting streaming.

# BUGS

The prefix "i2d" is arguably wrong because the function outputs BER format.

# RETURN VALUES

i2d_CMS_bio_stream() returns 1 for success or 0 for failure.

# SEE ALSO

ERR_get_error(3), CMS_sign(3), CMS_verify(3), CMS_encrypt(3) CMS_decrypt(3), SMIME_write_CMS(3), PEM_write_bio_CMS_stream(3)

# HISTORY

i2d_CMS_bio_stream() was added to OpenSSL 1.0.0

2009-12-26 | 1.0.2k